Skip to main content
POST
/api/v1/image/generations

التفويضات

Authorization
string
header
مطلوب

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

الترويسات

Accept-Encoding
string

Supported compression encodings (gzip, br).

مثال:

"gzip, br"

الجسم

application/json
prompt
string
مطلوب

A text description of the desired image.

Required string length: 1 - 1500
مثال:

"A beautiful sunset over mountain ranges"

background
enum<string> | null
افتراضي:auto

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

الخيارات المتاحة:
transparent,
opaque,
auto
مثال:

"auto"

model
string
افتراضي:default

The model to use for image generation. Defaults to Venice's default image model. If a non-existent model is specified (ie an OpenAI model name), it will default to Venice's default image model.

مثال:

"grok-imagine-image"

moderation
enum<string> | null
افتراضي:auto

auto enables safe venice mode which will blur out adult content. low disables safe venice mode.

الخيارات المتاحة:
low,
auto
مثال:

"auto"

n
integer | null
افتراضي:1

Number of images to generate. Venice presently only supports 1 image per request.

النطاق المطلوب: 1 <= x <= 1
مثال:

1

output_compression
integer | null
افتراضي:100

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

النطاق المطلوب: 0 <= x <= 100
output_format
enum<string>
افتراضي:png

Output format for generated images

الخيارات المتاحة:
jpeg,
png,
webp
مثال:

"png"

quality
enum<string> | null
افتراضي:auto

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

الخيارات المتاحة:
auto,
high,
medium,
low,
hd,
standard
مثال:

"auto"

response_format
enum<string> | null
افتراضي:b64_json

Response format. URL will be a data URL.

الخيارات المتاحة:
b64_json,
url
مثال:

"b64_json"

size
enum<string> | null
افتراضي:auto

Size of generated images. Default is 1024x1024

الخيارات المتاحة:
auto,
256x256,
512x512,
1024x1024,
1536x1024,
1024x1536,
1792x1024,
1024x1792
مثال:

"1024x1024"

style
enum<string> | null
افتراضي:natural

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

الخيارات المتاحة:
vivid,
natural
مثال:

"natural"

user
string

This parameter is discarded and is supported for compatibility with OpenAI API. It is not an alias of anon_user_id.

مثال:

"user123"

anon_user_id
string

Optional identifier for the API customer's end user. Combined with the Venice user id when attributing the request to upstream providers. Distinct from the discarded OpenAI user field. Must be printable ASCII and must not contain ||.

Required string length: 1 - 128
Pattern: ^[\x20-\x7E]+$
مثال:

"end-user-123"

الاستجابة

Successfully generated image

created
integer
مطلوب

Unix timestamp for when the request was created

مثال:

1713833628

data
object[]
مطلوب